# If you do wish to disable the rest api, you'll need to go into the config.yml set rest-api.enabled to false.
# Please note that the Rest API will let players do things that they might not be able to do in-game.
# For example if a player does not have permission to view island info, or the command is disabled. It will still let them!
settings:
  # What is port of the web server?
  # This will be counted as the "insecure" port.
  port: 80
  # What is the IP address of the web server?
  # Leave this blank to bind to all interfaces.
  address: ""
  # Enable debug mode for the web server?
  debug: false
  # Manage SSL for the web server.
  ssl:
    # Do you want to enable SSL? If you want to enable SSL you will need to go into the ssl folder and fill in your private key and certificate.
    # Please note if you don't know how certificates work, you shouldn't even be enabling this REST API.
    # Also note if this is true and your users are using the Websocket API. THEY NEED TO USE WSS:// INSTEAD OF WS:// OTHERWISE they'll get prompted with 302
    enabled: false
    # What should the port be for SSL?
    # Ideally, remember the default port for SSL is 443. If you're not using 443 and you're using cloudflare, making sure the A record is not proxied otherwise you'll not be able to override the port.
    port: 443

  sub-commands:
    # Enable or disable the rest api sub commands.
    # Disabling this will prevent players from generating api keys which are required to use the rest api.
    apikeys-command: true
    # This is a subcommand of the main command of the plugin.
    apikeys-command-name: "apikeys"

    # Enable or disable sub commands of "apikeys"
    generate-subcommand: true
    delete-subcommand: true

    # Sub command names of "apikeys" sub command
    generate-subcommand-name: "generate"
    delete-subcommand-name: "delete"

  # Confirmation time to either generate or delete an api key.
  # This is in seconds.
  confirmation-time: 15
  # The API may expose a lot of information that you may not want exposed, like island location or balance.
  # To fix this, you can toggle this setting where the api will only expose the information that the player can already access.
  # Like for example, if a creates an island, they'll get the island create event. Another example would be where they can only get information for their island object.
  expose-only-player-information: true
  # The documentation link, this will be shown on the RestAPI website as well in-game, I highly suggest you setup your own documentation
  # so the developers know what IP address to use for the API and also including the endpoints.
  documentation: https://docs.olziedev.com/projects/playerislands/restapi